stages: 
  - check
  - build
  - deploy

check-node-app:
  stage: check
  image: node:latest
  script: 
    - npm install
    - npm run build

test-node-app:
  stage: check
  image: node:latest
  script:
    - npm install
    - npm run test

build-app:
  only:
    - develop
    - main
  services:
    - docker:dind
  stage: build
  image: docker:latest
  script: 
    - docker login registry.gitlab.com/$CI_PROJECT_NAMESPACE -u Donovan1905 -p glpat-oJgM3ynsA4FK2ES2igxp
    - docker build -t registry.gitlab.com/$CI_PROJECT_NAMESPACE/$CI_PROJECT_NAME/$CI_PROJECT_NAME:$CI_COMMIT_SHA .
    - docker push registry.gitlab.com/$CI_PROJECT_NAMESPACE/$CI_PROJECT_NAME/$CI_PROJECT_NAME:$CI_COMMIT_SHA
